<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>

<title> Postfix legacy releases 2.5.7, 2.4.11 and 2.3.17 </title>

<meta http-equiv="Content-Type" content="text/html; charset=us-ascii">

</head>

<body>

<h1> Postfix legacy releases 2.5.7, 2.4.11 and 2.3.17 </h1>

<p>
An on-line version of this announcement is available at
<a href="http://www.postfix.org/announcements/postfix-2.5.7.html">http://www.postfix.org/announcements/postfix-2.5.7.html</a>
</p>

<p>
Postfix legacy releases 2.5.7, 2.4.11 and 2.3.17 contain fixes that
were already included with Postfix versions 2.6 and 2.7.
</p>

<h3> Fixed with Postfix 2.5.7 </h3>

<ul>

<li>
<p>
  (low) The installation/upgrade procedure did not automatically
  create the <a href="../postconf.5.html#data_directory">data_directory</a>.
</p>

<li> <p>
  (medium) In the "new queue manager", the _destination_rate_delay
  code needed to postpone the job scheduler updates after delivery
  completion, otherwise the scheduler could loop on blocked jobs.
</p>

<li> <p>
  (low) The queue manager used <i>transport</i>_concurrency_failed_cohort_limit
  instead of <a href="../postconf.5.html#transport_destination_concurrency_failed_cohort_limit"><i>transport</i>_destination_concurrency_failed_cohort_limit</a>
  as documented.
</p>

<li> <p>
  (low) The SMTP client disabled MIME parsing despite non-empty
  settings for <a href="../postconf.5.html#smtp_header_checks">smtp_header_checks</a>, <a href="../postconf.5.html#smtp_mime_header_checks">smtp_mime_header_checks</a>,
  <a href="../postconf.5.html#smtp_nested_header_checks">smtp_nested_header_checks</a>, or <a href="../postconf.5.html#smtp_body_checks">smtp_body_checks</a>.
</p>

</ul>

<h3> Fixed with Postfix 2.5.7, 2.4.11, 2.3.17 </h3>

<ul>

<li> <p>
  (medium) The postsuper command re-enabled the SIGHUP signal when
  it was set to "ignore". This could result in random "Postfix
  integrity check failed" errors at boot time (POSIX SIGHUP death),
  causing Postfix not to start automatically.
</p>

</ul>

<p>
You can find the source code and patches at the mirrors listed at
<a href="http://www.postfix.org/>http://www.postfix.org/</a>
</p>

</body>

</html>
